function setup() {
  createCanvas(400, 400);
  fill(0);
}
function draw() {
  background(240);
  maakBoog();
}
function maakBoog(){
  // radialen met atan2 op basis van cursor positie
  let rad=Math.atan2(mouseY-width/2,mouseX-height/2);
  // omzetten van radialen naar graden
  let gr= rad*180/Math.PI
  let gr2= Math.round(gr);
  // afronden (leuk om in tekst te tonen)
  textAlign(CENTER);
  textSize(32);
  text(gr2, width/2, height/2);
  // de variabelen ivm de boog:
  let str=80;// is straal mag een getal zijn
  let dikte=80; //mouseY/4;// hier mag je ook een getal zetten
  let graden = -1*rad/180*Math.PI;// hier mag je ook een getal zetten
  let rad2;
  // als gr2 negatief is (of nul), dan 360 erbij tellen
  if (gr2<=0){gr2=(360+gr2)};
  beginShape();
  // in deze forloop wordt eerst de binnenkant gemaakt:
  for (let i =0; i<=gr2; i++){
    rad2=i/180 * Math.PI;
    vertex(width/2 + Math.cos(rad2)*str,height/2 + Math.sin(rad2)*str);
  }
  // en in deze for-loop de buitenkant.
  for (let i = gr2; i>=0; i--){
    rad2=i/180 * Math.PI;
    vertex(width/2 + Math.cos(rad2)*(str+dikte),height/2 +Math.sin(rad2)*(str+dikte));
  }
  endShape(CLOSE);
}